> ## Documentation Index
> Fetch the complete documentation index at: https://manual.seahorse.dnotitia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count Indexed Rows

> Count indexed vectors in the specified table.



## OpenAPI

````yaml GET /v2/data/indexed-row-count
openapi: 3.1.0
info:
  title: Seahorse API Gateway
  description: >-
    Seahorse API Gateway is an API gateway that integrates vector database, AI
    inference, and storage services. It provides features such as vector search,
    embedding generation, text generation, and object storage.
  license:
    name: ''
  version: 2.0.0-rc1
servers:
  - url: https://{resource_uuid}.api.seahorse.dnotitia.ai
    description: >-
      리소스(스토리지/테이블/인퍼런스 endpoint)별 UUID 서브도메인. UUID 는 콘솔 → 리소스 상세 페이지 "API URL"
      항목에서 확인
    variables:
      resource_uuid:
        default: your-resource-uuid-here
        description: '대시 제거된 32자리 UUID (예: b0348a15cf0e48079e290fe03901247b)'
security: []
tags:
  - name: TABLE_V2
    description: Table operations v2
  - name: STORAGE
    description: Storage Object operations
paths:
  /v2/data/indexed-row-count:
    get:
      tags:
        - TABLE_V2
      summary: Count Indexed Rows
      description: Count indexed vectors in the specified table.
      operationId: indexed_row_count_handler_v2
      responses:
        '200':
          description: Successfully retrieved indexed row count
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_TableIndexedCountResponse'
              example:
                code: 200
                data:
                  indexed_counts:
                    - index_name: dense_vector
                      index_type: hnsw
                      indexed_row_count: 200
                    - index_name: sparse_vector
                      index_type: inverted
                      indexed_row_count: 300
                  total_row_count: 1000
                exception: null
                success: true
        '400':
          description: Invalid params provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 400
                data: null
                exception:
                  error_code: 400001
                  error_message: 'Bad Request: '
                success: false
        '500':
          description: Error occurred while trying to count index
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 500
                data: null
                exception:
                  error_code: 500001
                  error_message: 'Internal error: '
                success: false
      security:
        - bearerAuth:
            - READ
            - WRITE
        - apiKeyAuth:
            - READ
            - WRITE
components:
  schemas:
    CoralResponse_TableIndexedCountResponse:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - total_row_count
            - indexed_counts
          properties:
            indexed_counts:
              type: array
              items:
                $ref: '#/components/schemas/IndexedCount'
            total_row_count:
              type: integer
              format: int32
        exception:
          type: object
          required:
            - total_row_count
            - indexed_counts
          properties:
            indexed_counts:
              type: array
              items:
                $ref: '#/components/schemas/IndexedCount'
            total_row_count:
              type: integer
              format: int32
        success:
          type: boolean
          description: Whether the request was successful.
    CoralResponse_ErrorBody:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        exception:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        success:
          type: boolean
          description: Whether the request was successful.
    IndexedCount:
      type: object
      required:
        - index_name
        - index_type
        - indexed_row_count
      properties:
        index_name:
          type: string
        index_type:
          type: string
        indexed_row_count:
          type: integer
          format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Include the token in the Authorization
        header as 'Bearer <token>'
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key authentication. Include the key in the api-key header

````